---
id: 685941422c30cd3dc41b1d0a
title: Step 22
challengeType: 20
dashedName: step-22
---

# --description--

Now let's add a header to the email display. In the `display_full_email` method, after calling `mark_as_read()`, print `\n--- Email ---` to start the email display with a clear header.

# --hints--

You should print the header `\n--- Email ---` in the `display_full_email` method.

```js
({
    test: () => {
        assert(runPython(`_Node(_code).find_class("Email").find_function("display_full_email").has_call("print('\\\\n--- Email ---')")`));
    }
})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True

--fcc-editable-region--
    def display_full_email(self):
        self.mark_as_read()

--fcc-editable-region--

class User:
    def __init__(self, name):
        self.name = name
        self.inbox = Inbox()

    def send_email(self, receiver, subject, body):
        email = Email(sender=self, receiver=receiver, subject=subject, body=body)
        receiver.inbox.receive_email(email)

class Inbox:
    def __init__(self):
        self.emails = []

    def receive_email(self, email):
        self.emails.append(email)

```
